// StudentInformationSystemDlg.h : header file
//

#pragma once
#include "afxcmn.h"
#include "afxwin.h"


// CStudentInformationSystemDlg dialog
class CStudentInformationSystemDlg : public CDialog
{
// Construction
public:
	CStudentInformationSystemDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_STUDENTINFORMATIONSYSTEM_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
    int m_searchIndex;
	HICON m_hIcon;
    void ShowData();
    void RefreshData();
    void DisplayStudent(int recpos, int winpos);

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedCancel();
    CListCtrl m_listCtrl;
    CComboBox m_keyCtrl;
    CComboBox m_valueCtrl;
    CString m_valueText;
    CString m_keyText;
    afx_msg void OnBnClickedSimulate();
    afx_msg void OnCbnSelchangeKeyCombo();
    afx_msg void OnCbnSelchangeValueCombo();
    afx_msg void OnBnClickedAdd();
    afx_msg void OnBnClickedEdit();
    afx_msg void OnBnClickedDelete();
    afx_msg void OnBnClickedDeleteAll();
    afx_msg void OnHdnItemdblclickList1(NMHDR *pNMHDR, LRESULT *pResult);
    afx_msg void OnNMDblclkList1(NMHDR *pNMHDR, LRESULT *pResult);
};
